import Boat from "./models/Boat";

const seedBoatTable = async () => {
  if ((await Boat.count()) < 1) {
    await Boat.create({
      id: 1,
      name: "boat one",
      boatType: "canoe",
      status: false,
      active: true,
      seats: 5,
      tags: ["big", "yellow"]
    });
    await Boat.create({
      id: 2,
      name: "boat two",
      boatType: "kayak",
      status: false,
      active: true,
      seats: 4,
      tags: ["red"]
    });
    await Boat.create({
      id: 3,
      name: "boat three",
      boatType: "speedboat",
      status: false,
      active: false,
      seats: 2,
      tags: ["dangerous", "fast"]
    });
  }
};

const seedCheckInTable = async () => {};
const seedCustomerTable = async () => {};

const runSeeders = async () => {
  await seedBoatTable();
  await seedCheckInTable();
  await seedCustomerTable();
};

export default runSeeders;
